Name: 		amide
Version: 	1.0.6
Release: 	4%{?dist}
Summary: 	Program for viewing and analyzing medical image data sets
License: 	GPLv2+
URL: 		https://amide.sourceforge.net
#Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source0:	https://github.com/ferdymercury/amide/archive/refs/tags/v%{version}.tar.gz

Requires:	xmedcon >= 0.10.0
Requires:	gsl
Requires:	volpack
#Requires:	compat-ffmpeg4-libs
Requires:	dcmtk >= 3.6.0
Requires:       gtk2 >= 2.16 
Requires:       gtk2 <= 3.0
Requires:	gnome-vfs2
Requires:	libgnomecanvas

BuildRequires:  xmedcon-devel
BuildRequires:  volpack-devel
BuildRequires:  libxml2-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  libgnomecanvas-devel
BuildRequires:  compat-ffmpeg4-devel >= 0.4.9
#BuildRequires:  ffmpeg-devel >= 0.4.9
BuildRequires:  gsl-devel
BuildRequires:  dcmtk-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel >= 2.10 
BuildRequires:  gtk2-devel <= 3.0
BuildRequires:  gnome-vfs2-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++

#Patch1:         alignment_mutual_information.c.patch
#Patch2:         ffmpeg.patch
#Patch3:         mpeg_encode.c.patch
#Patch4:         mpeg_encode.c.2.patch
#Patch5:         fix-gcc10.patch

%description
AMIDE is a tool for viewing and analyzing medical image data sets.
It's capabilities include the simultaneous handling of multiple data
sets imported from a variety of file formats, image fusion, 3D region
of interest drawing and analysis, volume rendering, and rigid body
alignments.


%prep
%setup -q

#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

%build
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig:%{_libdir}/compat-ffmpeg4/pkgconfig/

cd amide-current
intltoolize
libtoolize
gtkdocize
gnome-doc-prepare
autoreconf --install

%configure \
	   --enable-libecat=no \
	   --enable-amide-debug=no \
	   --disable-scrollkeeper
make %{?_smp_mflags}

%install
cd amide-current
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-category X-Red-Hat-Extra                                        \
  $RPM_BUILD_ROOT%{_datadir}/applications/*


#%post
#update-desktop-database %{_datadir}/applications

#%postun
#update-desktop-database %{_datadir}/applications

%files
%defattr(-, root, root)
%doc amide-current/AUTHORS amide-current/COPYING amide-current/ChangeLog amide-current/NEWS amide-current/README amide-current/todo amide-current/RELEASE_NOTES
%{_bindir}/*
%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/applications
%{_datadir}/locale
%{_mandir}/*

%changelog
* Fri Feb 10 2023 josef radinger <cheese@nosuchhost.net> - 
- bump version

* Fri Feb 10 2023 josef radinger <cheese@nosuchhost.net> - 
- bump version

* Fri Feb 10 2023 josef radinger <cheese@nosuchhost.net> - 1.0.6-4
- Buildrequires on gtk <= 3.0

* Tue Sep 06 2022 josef radinger <cheese@nosuchhost.net> - 1.0.6-3
- rebuild for updated dependencies

* Tue Aug 02 2022 josef radinger <cheese@nosuchhost.net> - 1.0.6-2
- remove hardcoded requires onto compat-ffmpeg4-libs

* Sun Jul 24 2022 josef radinger <cheese@nosuchhost.net> - 1.0.6-1
- bump version
- remove patches
- sources no longer from sf but from github

* Sun May 22 2022 josef radinger <cheese@nosuchhost.net> - 1.0.5-8
- fix deps

* Sat May 21 2022 josef radinger <cheese@nosuchhost.net> - 1.0.5-7
- use compat-ffmpeg4
- add smp-flags
- add BuildRequires: desktop-file-utils
- remove post+postun scripts

* Sun May 03 2020 josef radinger <cheese@nosuchhost.net> - 1.0.5-6
- cleanup specfile
- add patch5 for compilation with gcc10 (taken from debian)

* Wed Oct 31 2018 josef radinger <cheese@nosuchhost.net> - 1.0.5-5
- add gcc-c++ to Buildrequires

* Thu May 03 2018 josef radinger <cheese@nosuchhost.net> - 1.0.5-4
- add patch4 to be able to compile for f28

* Sat Apr 07 2018 josef radinger <cheese@nosuchhost.net> - 1.0.5-3
- first rebuild for current fedora
- add intltool to BuildRequires
- add patches: alignment_mutual_information.c.patch  ffmpeg.patch  mpeg_encode.c.patch

* Fri Feb 24 2011 Andy Loening <loening at alum dot mit dot edu>
- cutout gtk-doc building and scrollkeeper
* Sun Dec 16 2007 Andy Loening <loening at alum dot mit dot edu>
- small tweak for new gnome-doc help files
* Tue Nov 05 2002 Andy Loening <loening at alum dot mit dot edu>
- get it to work with scrollkeeper
* Sun Dec 19 2000 Andy Loening <loening at alum dot mit dot edu>
- wrote this fool thing
